%!TEX root=../../../thesis.tex
%!TEX file=content/appendix/root-finding/iterative.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Iterative Methods}\label{app:sec:root-finding:iterative-methoods}

Even though above presented bracketing methods are also iterative root-finding algorithms, a proper iterative root-finding algorithm uses, per defintion, an auxiliary function applied to the last computed approximation of the root to get a new or closer approximation.
This iteration stops when a fixed point\textemdash within numerical bounds\textemdash of the auxiliary function is reached \textIe the computed value is sufficiently close to the preceding ones.



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/appendix/root-finding/iterative/newtons-method}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/appendix/root-finding/iterative/improved-newtons-method}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/appendix/root-finding/iterative/secant-broyden}
